#!/usr/bin/tclsh

# first get orbit.hrm from correction_matrix_output:
exec elegant hrm.ele >@ stdout

# now calculate closed orbit for some QUAD.HKICK:

set HKICK 1e-2

set quad P2Q1

exec elegant orbit.ele -macro=corr=$quad,corr_item=HKICK,corr_value=0      >@ stdout
file rename -force "results/orbit.sdds" "results/orbit0.sdds"
exec elegant orbit.ele -macro=corr=$quad,corr_item=HKICK,corr_value=$HKICK >@ stdout

# now calculate orbit at BPMs using response matrix

exec sddsprocess results/orbit.hrm results/orbit_from_hrm.sdds \
    "-define=col,x,$quad $HKICK *,units=m"

exec tclsh plot_orbit.tcl &
