#!/usr/bin/tclsh

set hrm  "results/orbit_from_hrm.sdds"
set orb  "results/orbit.sdds"
set orb0 "results/orbit0.sdds"
set mag  "results/beamline.mag"

exec \
    sddsplot "-title=" \
	-col=s,Profile -graph=line,type=15 -factor=yMult=0.002 $mag \
	-col=s,x       -graph=line,type=3,thick=2 "-legend=spec=HKICK ON"  $orb \
	-col=s,x       -graph=line,type=4,thick=2 "-legend=spec=HKICK OFF" $orb0 \
	-col=s,x       -graph=sym,type=2 "-legend=spec=HKICK*hrm" $hrm \
	"-yLabel=x-orbit (m)" \
    &
