#!/usr/bin/tclsh

# first get orbit.hrm from correction_matrix_output:
exec elegant hrm.ele >@ stdout

# now calculate closed orbit for some BEND.FSE:

set FSE 1e-2

set bend P1BM1
#P1BM2 P1BM1 P2BM1 P2BM2 P3BM2 P3BM1 P4BM1 P4BM2

exec elegant orbit.ele -macro=corr=$bend,corr_item=FSE,corr_value=0    >@ stdout
file rename -force "results/orbit.sdds" "results/orbit0.sdds"
exec elegant orbit.ele -macro=corr=$bend,corr_item=FSE,corr_value=$FSE >@ stdout

# now calculate orbit at BPMs using response matrix

exec sddsprocess results/orbit.hrm results/orbit_from_hrm.sdds \
    "-define=col,x,$bend $FSE *,units=m,symbol=FSE*dX/dFSE"

exec tclsh plot_orbit.tcl &
